Get Verification Job
GET /api/public/v1/verification-job/{verificationJobId}
GET
/api/public/v1/verification-job/{verificationJobId}
The get verification job endpoint can be used to get a single verification job from its ID.
The verification job is returned in full including any and all licensing data.
To view the response type please see: https://github.com/ClicknClear/Public-Resources/blob/main/packages/lvs-types/src/v1/verificationJob.ts.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” verificationJobId
required
integer
Example
4Responses
Section titled “ Responses ”Get Verification Job
object
id
integer
name
string
email
string format: email
requiredTerritories
Array<string>
externalId
string format: utc-millisec
organisationId
integer
soundRecordingId
integer
errorMessage
string
status
string
endDate
string format: date-time
startDate
string format: date-time
tags
Array<string>
recording
object
createdAt
string format: date-time
downloadURL
string format: uri
uploadFileName
string
licenseStatus
string
songsConfirmedAt
updatedAt
string format: date-time
status
string
songs
Array<object>
object
title
string
artists
string
endTime
integer
startTime
integer
cncMixId
cncId
string
composer
isrc
string
iswc
publisher
recordLabel
tunecode
yearOfRelease
upc
string format: utc-millisec
manualStatus
licenseStatus
string
licenseChecks
object
Publishing Adaptation Rights
string
Publishing Duplication Rights
string
Publishing Choreography Rights
string
Title Matches
string
Artists Match
string
Full Ownership
string
Valid Date
string
License Source Matches
string
Licensee Name Match
string
Territory Match
object
US
string
GB
string
licenseData
object
bespokeAgreement
licenseSource
string
cncLicense
externalLicense
object
id
integer
sourceName
string
files
Array<object>
object
id
integer
downloadURL
string format: uri
publicDomainProof
Example
{ "id": 4, "name": "Tristan Barlow", "email": "tristan@clicknclear.com", "requiredTerritories": [ "US", "GB" ], "externalId": "1234567890", "organisationId": 1, "soundRecordingId": 133, "errorMessage": "", "status": "Completed", "endDate": "2024-09-04T00:00:00.000Z", "startDate": "2024-09-01T00:00:00.000Z", "tags": [ "September Event 2024", "2024", "Seniors" ], "recording": { "createdAt": "2024-09-16T16:45:09.298Z", "downloadURL": "https://cnc-sound-recordings-staging.s3.eu-west-1.amazonaws.com/9fe09e66082651af69024a566a7fd0b9.mp3?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=AKIATK64JFLFLBA4EBGI%2F20240917%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240917T073145Z&X-Amz-Expires=216000&X-Amz-Signature=4fe92aaa9729555b583cc527c2dca012a88fbe003286de24facf89aabac587d6&X-Amz-SignedHeaders=host&response-content-disposition=attachment%3B%20filename%20%3D%22verification-jobs%2F845dae593a60280092554d2e125b3db7.mp3%22&response-content-type=audio%2Fmpeg&x-id=GetObject", "uploadFileName": "verification-jobs/845dae593a60280092554d2e125b3db7.mp3", "licenseStatus": "Unverified", "songsConfirmedAt": null, "updatedAt": "2024-09-16T16:45:17.000Z", "status": "Complete", "songs": [ { "title": "Start a Fire", "artists": "Who's Molly?", "endTime": 20, "startTime": 0, "cncMixId": null, "cncId": "5f0470bfb11d420440942a35", "composer": null, "isrc": "GB89R1600173", "iswc": null, "publisher": null, "recordLabel": null, "tunecode": null, "yearOfRelease": null, "upc": "5054526103603", "manualStatus": null, "licenseStatus": "Unverified", "licenseChecks": { "Publishing Adaptation Rights": "Unknown", "Publishing Duplication Rights": "Unknown", "Publishing Choreography Rights": "Unknown", "Title Matches": "Unknown", "Artists Match": "Unknown", "Full Ownership": "Unknown", "Valid Date": "Unknown", "License Source Matches": "Unknown", "Licensee Name Match": "Rejected", "Territory Match": { "US": "Unknown", "GB": "Unknown" } }, "licenseData": { "bespokeAgreement": null, "licenseSource": "Other", "cncLicense": null, "externalLicense": { "id": 133, "sourceName": "Other Platform", "files": [ { "id": 104, "downloadURL": "http://lvs.local.clicknclear.com:3001/api/files/download?t=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJidWNrZXQiOiJjbGlja25jbGVhci12ZXJpZmljYXRpb24tbGljZW5zZXMtc3RhZ2luZyIsImtleSI6ImV4dGVybmFsLWxpY2Vuc2VzL2MxOTg2MjBlZGYyMmI5YzM3ZDRiNjliNjMyOWY1NDNlLnBkZiIsImZpbGVuYW1lIjoiVW5rbm93bi5wZGYiLCJjb250ZW50VHlwZSI6ImFwcGxpY2F0aW9uL3BkZiIsImlhdCI6MTcyNjU1ODMwNSwiZXhwIjoxNzI2NjQ0NzA1fQ.sJXEJbXqDSXXZheAxRKSts9WaywT3A-VlT5HlEO9aVY" } ] }, "publicDomainProof": null } } ] }}Headers
Section titled “Headers ” Access-Control-Allow-Origin
string
Example
* content-length
integer
Example
2485 date
string
Example
Tue, 17 Sep 2024 07:31:45 GMT connection
string
Example
close